#ifndef ITEMLAYER_HPP_INCLUDED
#define ITEMLAYER_HPP_INCLUDED

#include "../JavaClass/Object.hpp"
#include "../JavaClass/Class.hpp"
#include <string>
#include <cstdint>

namespace Internal
{
    class ItemLayer : public Object
    {
        public:
            ItemLayer(const void* Obj);

            ItemLayer() = default;
            ItemLayer(ItemLayer&& Obj) = default;
            ItemLayer(const ItemLayer& Obj) = default;
            ItemLayer& operator=(ItemLayer&& Obj) = default;
            ItemLayer& operator=(const ItemLayer& Obj) = default;

            static Class GetClass();

            std::int32_t GetHeight() const;

    };
}


#endif // ITEMLAYER_HPP_INCLUDED
